        subroutine maps(xmin,xmax,ymin,ymax)
c
c       set x y limits  
c
        integer nx,ny,nxdiv,nydiv,nox,noxm,noy,noym
        character*10  fx,fy
        real*4  xxmin,xxmax,yymin,yymax
        real*4  xmin,xmax,ymin,ymax
        xxmin=xmin
        xxmax=xmax
        yymin=ymin
        yymax=ymax

        if (yymin.eq.yymax) yymax=yymax+1.0
        nxdiv=2
        nydiv=2
        call nicer(xxmin,xxmax,nox,noxm,fx,nx)
        call nicer(yymin,yymax,noy,noym,fy,ny)
        call set(0.1,0.9,0.15,0.9,xxmin,xxmax,yymin,yymax,1)
        call labmod(fx,fy,nx,ny,12,12,0,0,0)
        call gridal(nox,noxm,noy,noym,1,1,5,xxmin,yymin)
        return
        end

        subroutine mapsm(xmin,xmax,ymin,ymax)
c
c       set x y limits  
c
        integer nx,ny,nxdiv,nydiv,nox,noxm,noy,noym
        character*10  fx,fy
        real*4  xxmin,xxmax,yymin,yymax
        real*4  xmin,xmax,ymin,ymax

        xxmin=xmin
        xxmax=xmax
        yymin=ymin
        yymax=ymax
       
        if (yymin.eq.yymax) yymax=yymax+1.0
        nxdiv=2
        nydiv=2
        call nicer(xxmin,xxmax,nox,noxm,fx,nx)
        call nicer(yymin,yymax,noy,noym,fy,ny)
        call set(0.2,0.9,0.15,0.9,xxmin,xxmax,yymin,yymax,1)
        call labmod(fx,fy,nx,ny,12,12,0,0,0)
        call gridal(nox,noxm,noy,noym,1,1,5,xxmin,yymin)
        return
        end

